Package Details: shutter-git r1636.d6dcd492-1

Git Clone URL: https://aur.archlinux.org/shutter-git.git (read-only, click to copy)
Package Base: shutter-git
Description: A featureful screenshot tool, git version
Upstream URL: https://shutter-project.org/
Licenses: GPL3
Conflicts: shutter
Submitter: PhotonX
Maintainer: PhotonX
Last Packager: PhotonX
Votes: 5
Popularity: 0.000060
First Submitted: 2020-06-20 05:10 (UTC)
Last Updated: 2021-12-05 20:39 (UTC)

Latest Comments

1 2 Next › Last »

PhotonX commented on 2021-12-05 20:40 (UTC)

Sorry, I'm in a lot of stress lately and missed to update the package for a long time already... Updated, thanks for the hint!

DannyD0gg commented on 2021-12-05 18:05 (UTC) (edited on 2021-12-05 18:09 (UTC) by DannyD0gg)

Could you please add the package pearl-moo as a dependency?
When I try to launch shutter (installed with yay -S shutter-git), it gives me this error:

at /usr/bin/shutter line 9058.
    Shutter::App::fct_init_depend() called at /usr/bin/shutter line 196
Can't locate Moo.pm in @INC (you may need to install the Moo module) (@INC contains: /usr/share/shutter/resources/modules /usr/lib/perl5/5.34/site_perl /usr/share/perl5/site_perl /usr/lib/perl5/5.34/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/5.34/core_perl /usr/share/perl5/core_perl) at /usr/share/shutter/resources/modules/Shutter/App/Common.pm line 27.
    Shutter::App::Common::BEGIN() called at /usr/share/shutter/resources/modules/Shutter/App/Common.pm line 27
    eval {...} called at /usr/share/shutter/resources/modules/Shutter/App/Common.pm line 27
    require Shutter/App/Common.pm called at /usr/bin/shutter line 207
BEGIN failed--compilation aborted at /usr/share/shutter/resources/modules/Shutter/App/Common.pm line 27.
    require Shutter/App/Common.pm called at /usr/bin/shutter line 207
Compilation failed in require at /usr/bin/shutter line 207.

With pearl-moo installed manually, shutter launches without the error message.
Thank you!

PhotonX commented on 2021-07-08 09:31 (UTC)

We will update the website asap.

It is in testing already in Manjaro: https://manjaro.org/branch-compare/?query=shutter

In Arch it is in stable for quite some time already: https://archlinux.org/packages/community/any/shutter/

zeroconf commented on 2021-07-08 08:20 (UTC)

When searching from here, only -git package as shutter installation comes out. Even at https://shutter-project.org/downloads/third-party-packages/ is wrong package name in AUR as this no longer exist. How long may take, when also dependencies will arrive to AUR? Using Manjaro, but also using AUR.

PhotonX commented on 2021-07-08 04:48 (UTC)

It's a -git package, it builds the latest commit when you rebuild it, but I won't bump it with every release. If you want the new release, use the shutter package from the official repos. The dependencies are in the official repo as well, most probably you are using Manjaro or some other downstream distro, where these new packages haven't arrived yet.

zeroconf commented on 2021-07-08 02:25 (UTC) (edited on 2021-07-08 04:50 (UTC) by zeroconf)

New release available already 18 days ago - https://github.com/shutter-project/shutter/releases - commit 64db305 More at https://shutter-project.org/releases/0.97/

Error in installing current r1548.85dc91e8-5:

could not satisfy dependencies:

  • perl-json-maybexs

  • perl-goocanvas2-cairotypes

Using latest Manjaro with XFCE.

PhotonX commented on 2021-05-30 04:46 (UTC)

Done, thanks!

muflone commented on 2021-05-29 22:18 (UTC)

please add git to makedepends

RompeMadres666 commented on 2020-08-03 17:05 (UTC)

PhotonX: thanks, it worked! I had to rebuilt 3 packages: perl-gtk2-unique, perl-gtk2-imageview and gnomecanvas-perl, now is working again!

PhotonX commented on 2020-08-03 16:36 (UTC)

RompeMadres666: You need a clean rebuild for perl-gtk2-imageview.